Summary: iPasserelle User Panel module
%define name ipasserelle-userpanel
Name: %{name}
%define version 0.1
%define release 6.beta1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.ipasserelle.com
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch0: ipasserelle-userpanel-0.1-preserve_host.patch
Patch1: ipasserelle-user-panel-0.1-rename_cat.patch
Patch2: ipasserelle-userpanel-0.1-fix_logo_src.patch
Patch3: ipasserelle-userpanel-0.1-expand_llng_admin_conf.patch
Patch4: ipasserelle-userpanel-0.1-add_admin_reload.patch
Patch5: ipasserelle-userpanel-0.1-nav_rewrite.patch
Patch6: ipasserelle-userpanel-0.1-move_setenvif.patch
Patch7: ipasserelle-userpanel-0.1-phpki.patch
Patch8: ipasserelle-userpanel-0.1-dont_send_cn_as_header.patch
Patch9: ipasserelle-userpanel-0.1-create_lang_symlinks.patch

BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: e-smith-base >= 5.2.0-62
Requires: ipasserelle-base
Requires: smeserver-lemonldap-ng => 0.1-15
Requires: smeserver-webapps-common >= 0.1-10

BuildRequires: e-smith-devtools

Obsoletes: smeserver-userpanel
Obsoletes: ipasserelle-user-portal
Provides: smeserver-userpanel

%description
iPasserelle User Portal provides a user oriented
portal where they can set their own settings
Admins can also delegate panels to users
This module is based on smeserver-userpanel

%changelog
* Mon Nov 14 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6
- create language symlinks

* Tue Jul 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-5
- Move SetEnvIf directives
- Add SSO protected access to PHPki
- Don't send $cn as header as it prevent access if username contains accent

* Mon Jul 18 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-4
- Rewrite userpanel-navigation (based on the current server-manager's one)

* Mon Jul 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- Add httpd-admin handler to the list of handler which need a reload

* Wed Jul 06 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Expand LL::NG conf also in bootstrap-ldap-save and ipasserelle-update

* Wed Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- initial release (based on smeserver-userpanel-0.9-11)


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks

%{__mkdir_p} root/etc/e-smith/web/panels/user/cgi-bin

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

